Loading...
Searching...
No Matches
_snd_ump_msg_midi2_pitchbend Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint16_t | reserved
uint32_t | data

## Detailed Description

MIDI 2.0 Pitch Bend (64bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi2_pitchbend::channel

Channel

## data

uint32_t _snd_ump_msg_midi2_pitchbend::data

Data (32bit)

## group

uint8_t _snd_ump_msg_midi2_pitchbend::group

UMP Group

## reserved

uint16_t _snd_ump_msg_midi2_pitchbend::reserved

Unused

## status

uint8_t _snd_ump_msg_midi2_pitchbend::status

Status

## type

uint8_t _snd_ump_msg_midi2_pitchbend::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h